<?xml version="1.0" encoding="windows-1252" ?>
<project default="init" basedir=".">
  <property file="build.properties"/>
  <target name="init">
    <tstamp/>
    <loadfile property="jndiurl"
              srcfile="${src.model}/META-INF/persistence.xml">
      <filterchain>
        <linecontains>
          <contains value="hibernate.jndi.url"></contains>
        </linecontains>
        <headfilter lines="1"/>
      </filterchain>
    </loadfile>
    <echo>replaced: ${jndiurl}</echo>
    <replace file="${src.model}/META-INF/persistence.xml" token="${jndiurl}"
             value="${rsprod.hibernate.jndi.url}${line.separator}"/>
    <echo>new value: ${rsprod.hibernate.jndi.url}</echo>
    
    
    <loadfile property="providerurl"
              srcfile="${src.structure}/com/arsivist/structure/resource/jndiconnection.properties">
      <filterchain>
        <linecontains>
          <contains value="providerurl"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
    <echo>replaced: ${providerurl}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/jndiconnection.properties"
             token="${providerurl}"
             value="${rsprod.providerserver.url}${line.separator}"/>
    <echo>new value: ${rsprod.providerserver.url}</echo>
    
    <loadfile property="jndiusername"
              srcfile="${src.structure}/com/arsivist/structure/resource/jndiconnection.properties">
      <filterchain>
        <linecontains>
          <contains value="username"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
    <echo>replaced: ${jndiusername}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/jndiconnection.properties"
             token="${jndiusername}"
             value="${rsprod.providerserver.username}${line.separator}"/>
    <echo>new value: ${rsprod.providerserver.username}</echo>
    
    <loadfile property="jndipassword"
              srcfile="${src.structure}/com/arsivist/structure/resource/jndiconnection.properties">
      <filterchain>
        <linecontains>
          <contains value="password"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
    <echo>replaced: ${jndipassword}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/jndiconnection.properties"
             token="${jndipassword}"
             value="${rsprod.providerserver.password}${line.separator}"/>
    <echo>new value: ${rsprod.providerserver.password}</echo>
    
    <loadfile property="ucmserverurl"
              srcfile="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties">
      <filterchain>
        <linecontains>
          <contains value="ucmserverurl"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
    <echo>replaced: ${ucmserverurl}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties"
             token="${ucmserverurl}"
             value="${rsprod.ucmserverurl}${line.separator}"/>
    <echo>new value: ${rsprod.ucmserverurl}</echo>
    
    <loadfile property="ucmsavepath"
              srcfile="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties">
      <filterchain>
        <linecontains>
          <contains value="savepath"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
    <echo>replaced: ${ucmsavepath}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties"
             token="${ucmsavepath}"
             value="${rsprod.ucmserversavepath}${line.separator}"/>
    <echo>new value: ${rsprod.ucmserversavepath}</echo>
             
    <loadfile property="ucmusername"
              srcfile="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties">
      <filterchain>
        <linecontains>
          <contains value="username"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
    <echo>replaced: ${ucmusername}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties"
             token="${ucmusername}"
             value="${rsprod.ucmserverusername}${line.separator}"/>
    <echo>new value: ${rsprod.ucmserverusername}</echo>
    
    <loadfile property="ucmpassword"
              srcfile="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties">
      <filterchain>
        <linecontains>
          <contains value="password"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
    <echo>replaced: ${ucmpassword}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/ucmconnection.properties"
             token="${ucmpassword}"
             value="${rsprod.ucmserverpassword}${line.separator}"/>
    <echo>new value: ${rsprod.ucmserverpassword}</echo>
    
    <loadfile property="ucmconverterurl"
             srcfile="${src.resourcebundle}/com/arsivist/resource/bundle/ResourceBundle_ServerConfig.java">
     <filterchain>
       <linecontains>
         <contains value="ucmserverdynamicconverturl"></contains>
       </linecontains>
       <headfilter lines="1"/>
     </filterchain>
   </loadfile>
   <echo>replaced: ${ucmconverterurl}</echo>
   <replace file="${src.resourcebundle}/com/arsivist/resource/bundle/ResourceBundle_ServerConfig.java"
            token="${ucmconverterurl}"
            value="${rsprod.ucmconverterurl}${line.separator}"/>
    <echo>new value: ${rsprod.ucmconverterurl}</echo>
            
            
    <loadfile property="downloadurl"
             srcfile="${src.resourcebundle}/com/arsivist/resource/bundle/ResourceBundle_ServerConfig.java">
     <filterchain>
       <linecontains>
         <contains value="ucmserverdownloadurl"></contains>
       </linecontains>
       <headfilter lines="1"/>
     </filterchain>
   </loadfile>
   <echo>replaced: ${downloadurl}</echo>
   <replace file="${src.resourcebundle}/com/arsivist/resource/bundle/ResourceBundle_ServerConfig.java"
            token="${downloadurl}"
            value="${rsprod.ucmdownloadurl}${line.separator}"/>
    <echo>new value: ${rsprod.ucmdownloadurl}</echo>
    
    
    <loadfile property="soaserverurl"
              srcfile="${src.structure}/com/arsivist/structure/resource/soa.properties">
      <filterchain>
        <linecontains>
          <contains value="humantask.url"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
   <echo>replaced: ${soaserverurl}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/soa.properties"
             token="${soaserverurl}"
             value="${rsprod.soaserver.url}${line.separator}"/>
    <echo>new value: ${rsprod.soaserver.url}</echo>   
    
    
    <loadfile property="soaserverendpoint"
              srcfile="${src.structure}/com/arsivist/structure/resource/soa.properties">
      <filterchain>
        <linecontains>
          <contains value="humantask.endpoint"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
   <echo>replaced: ${soaserverendpoint}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/soa.properties"
             token="${soaserverendpoint}"
             value="${rsprod.soaserver.endpoint}${line.separator}"/>
    <echo>new value: ${rsprod.soaserver.endpoint}</echo>    
    
    
    <loadfile property="humantaskusername"
              srcfile="${src.structure}/com/arsivist/structure/resource/soa.properties">
      <filterchain>
        <linecontains>
          <contains value="humantask.user"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
   <echo>replaced: ${humantaskusername}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/soa.properties"
             token="${humantaskusername}"
             value="${rsprod.soaserver.humantask.user}${line.separator}"/>
    <echo>new value: ${rsprod.soaserver.humantask.user}</echo>
    
    <loadfile property="humantaskpassword"
              srcfile="${src.structure}/com/arsivist/structure/resource/soa.properties">
      <filterchain>
        <linecontains>
          <contains value="humantask.password"></contains>
        </linecontains>
      </filterchain>
    </loadfile>
   <echo>replaced: ${humantaskpassword}</echo>
    <replace file="${src.structure}/com/arsivist/structure/resource/soa.properties"
             token="${humantaskpassword}"
             value="${rsprod.soaserver.humantask.password}${line.separator}"/>
    <echo>new value: ${rsprod.soaserver.humantask.password}</echo>   
    
  </target>
</project>
